Overview | Package | Class | Tree | Deprecated | Index | Help
| install4j API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.install4j.api.beaninfo
Class FormComponentBeanInfo

    java.lang.Object
      java.beans.SimpleBeanInfo
          com.install4j.api.beaninfo.Install4JBeanInfo
              com.install4j.api.beaninfo.FormComponentBeanInfo

All Implemented Interfaces:
  java.beans.BeanInfo

    public class FormComponentBeanInfo

extends Install4JBeanInfo

Base class for form component bean infos.

Using this class is not strictly required. In principle, you could also set values for the `ATTRIBUTE_*` constants in the bean descriptor of an unrelated bean info class.

Field Summary

Fields inherited from class com.install4j.api.beaninfo.Install4JBeanInfo
`ATTRIBUTE_BEAN_CATEGORY, ATTRIBUTE_BEAN_INITIALIZER, ATTRIBUTE_BEAN_VALIDATOR, ATTRIBUTE_COLLAPSED_PROPERTY_CATEGORIES, ATTRIBUTE_CUSTOMIZER_ICON, ATTRIBUTE_CUSTOMIZER_PLACEMENT, ATTRIBUTE_DEFAULT_CONDITION_EXPRESSION, ATTRIBUTE_DEFAULT_ROLLBACK_BARRIER, ATTRIBUTE_ENUMERATION_MAPPERS, ATTRIBUTE_ICON_16x16, ATTRIBUTE_ICON_24x24, ATTRIBUTE_INSTALLED_FILES_REQUIRED, ATTRIBUTE_MINIMUM_JAVA_VERSION, ATTRIBUTE_MULTIPLE_INSTANCES_SUPPORTED, ATTRIBUTE_NOTICE_PANEL, ATTRIBUTE_PERSISTENCE_DELEGATE_MAP, ATTRIBUTE_PROPERTY_CONVERTERS, ATTRIBUTE_SEQUENCE_VALIDATOR, ATTRIBUTE_SORT_KEY`

Fields inherited from interface java.beans.BeanInfo
`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

Constructor Summary
`FormComponentBeanInfo(java.lang.String displayName, java.lang.String shortDescription, java.lang.String category, java.lang.Integer sortKey, java.lang.Class beanClass)` Same as `FormComponentBeanInfo(String, String, String, Integer, Class, Class)` with a customizer class of `null`.
`FormComponentBeanInfo(java.lang.String displayName, java.lang.String shortDescription, java.lang.String category, java.lang.Integer sortKey, java.lang.Class beanClass, java.lang.Class customizerClass)` Same as `Install4JBeanInfo.Install4JBeanInfo(String, String, String, boolean, boolean, Integer, Class, Class)` with `multipleInstancesSupported` set to `true` and `installedFilesRequired` set to `false`.

Method Summary

Methods inherited from class com.install4j.api.beaninfo.Install4JBeanInfo
`addPropertyDescriptor, checkNotEmpty, checkNotEmpty, findPropertyDescriptor, getBeanClass, getBeanDescriptor, getPropertyDescriptors, getPropertyValue, getPropertyValue, isEmpty, setBeanInitializer, setBeanValidator, setCollapsedPropertyCategories, setCustomizerIcon, setCustomizerPlacement, setDefaultConditionExpression, setDefaultRollbackBarrier, setEnumerationMappers, setIcons, setMinimumJavaVersion, setNoticePanel, setPersistenceDelegateMap, setPropertyConverters, setSequenceValidator`

Methods inherited from class java.beans.SimpleBeanInfo
`getAdditionalBeanInfo, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getIcon, getMethodDescriptors, loadImage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FormComponentBeanInfo

    public FormComponentBeanInfo(java.lang.String displayName,
                                 java.lang.String shortDescription,
                                 java.lang.String category,
                                 java.lang.Integer sortKey,
                                 java.lang.Class beanClass,
                                 java.lang.Class customizerClass)

  Same as `Install4JBeanInfo.Install4JBeanInfo(String, String, String, boolean, boolean, Integer, Class, Class)` with `multipleInstancesSupported` set to `true` and `installedFilesRequired` set to `false`.

### FormComponentBeanInfo

    public FormComponentBeanInfo(java.lang.String displayName,
                                 java.lang.String shortDescription,
                                 java.lang.String category,
                                 java.lang.Integer sortKey,
                                 java.lang.Class beanClass)

  Same as `FormComponentBeanInfo(String, String, String, Integer, Class, Class)` with a customizer class of `null`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| install4j API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD